#!/bin/bash
set -euo pipefail

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"

DROPSHELL_BUILD_DIR="${SCRIPT_DIR}/../dropshell-build/"
# make canonical path
DROPSHELL_BUILD_DIR=$(realpath "${DROPSHELL_BUILD_DIR}")

# make sure the build script exists
if [ ! -f "${DROPSHELL_BUILD_DIR}/dropshell-build.sh" ]; then
    echo "Error: dropshell-build.sh not found"
    exit 1
fi
if [ ! -f "${DROPSHELL_BUILD_DIR}/install_dropshell_build_host.sh" ]; then
    echo "Error: install_dropshell_build_host.sh not found"
    exit 1
fi

# install host dependencies
"${DROPSHELL_BUILD_DIR}/install_dropshell_build_host.sh"


# run the build script
"${DROPSHELL_BUILD_DIR}/dropshell-build.sh" "$@" "${SCRIPT_DIR}"
